// Timer functionality
const dumplingCount = document.getElementById('dumplingCount');
const prepTime = document.getElementById('prepTime');

dumplingCount.addEventListener('input', () => {
  const count = parseInt(dumplingCount.value);
  const time = Math.max(30, Math.round(count * 1.5));
  prepTime.textContent = `${time} minutes`;
});

// Step navigation
const steps = document.querySelectorAll('.step');
const nextButtons = document.querySelectorAll('.next-step');
const restartButton = document.querySelector('.restart');

let currentStep = 0;

function showStep(stepIndex) {
  steps.forEach((step, index) => {
    step.style.display = index === stepIndex ? 'block' : 'none';
  });
}

nextButtons.forEach(button => {
  button.addEventListener('click', () => {
    currentStep++;
    if (currentStep >= steps.length) currentStep = 0;
    showStep(currentStep);
  });
});

if (restartButton) {
  restartButton.addEventListener('click', () => {
    currentStep = 0;
    showStep(currentStep);
  });
}

// Initialize first step
showStep(0);